Support » Plugin: WordPress Ultra Simple Paypal Shopping Cart » WidgetID is not valid: Not working with Dynamic Widgets plugin

  • fivecats

    (@fivecats)


    I’ve installed both the Ultra Simple Paypal Shopping Cart and Dynamic Widgets. (http://wordpress.org/plugins/dynamic-widgets/) When configuring the Dynamic Widgets I’m able to determine which widgets show up on different page types for all of the plugins I’ve tried thus far — with the exception of the USPSCart. When I go to Save my config settings I get an error page that reads: WidgetID is not valid.

    Researching this error on the Dynamic Widgets site I discovered this:

    “I think I have found why the “Invalid WidgetID” error occurs. It’s because WP has changed a few versions ago the way widgets are handled in the system. The widgets to which this errors occurs have been registered to WP using a deprecated method. In other words: The widget is made available in an old fashioned way. WP can stil handle it (for the time being), but unfortunately DW can’t.

    I’m not able to fix this in DW or create a workaround for it. The change has to be made by the author of the widget.”

    (http://wordpress.org/support/topic/plugin-dynamic-widgets-widgetid-is-not-valid)

    Would you please address this and let me know when you can put a fix in place? The primary reason I wanted to use Dynamic Widgets was to be able to control where my shopping cart displays and where it does not.

    Thanks.

  • The topic ‘WidgetID is not valid: Not working with Dynamic Widgets plugin’ is closed to new replies.